import request from '@/utils/request'

// 查询检验单列表
export function listInspectBill(query) {
  return request({
    url: '/erpInspectBill/list',
    method: 'get',
    params: query
  })
}

// 查询检验单详细
export function getInspectBill(id) {
  return request({
    url: '/erpInspectBill/' + id,
    method: 'get'
  })
}

// 新增检验单
export function addInspectBill(data) {
  return request({
    url: '/erpInspectBill',
    method: 'post',
    data: data
  })
}

// 修改检验单
export function updateInspectBill(data) {
  return request({
    url: '/erpInspectBill',
    method: 'put',
    data: data
  })
}

// 删除检验单
export function delInspectBill(id) {
  return request({
    url: '/erpInspectBill/' + id,
    method: 'delete'
  })
}

// 获取今日质检单总数
export function getInspectBillToDay() {
  return request({
    url: '/erpInspectBill/getByInspectBillToDay',
    method: 'get'
  })
}


